Last modified: 2014-09-18 15:27:26 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 61941 - background-image-svg does not embed correctly
background-image-svg does not embed correctly
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
ResourceLoader (Other open bugs)
unspecified
All All
: Normal normal (vote)
: 1.23.0 release
Assigned To: Bartosz Dziewoński
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-26 05:08 UTC by Matthew Flaschen
Modified: 2014-09-18 15:27 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Matthew Flaschen 2014-02-26 05:08:39 UTC
background-image-svg does not embed the -webkit-linear-gradient variant, only linear-gradient.  I think it may be related to @embed not working right for LESS.  It should be fixable by using the embed and embeddable mixins.
Comment 1 Matthew Flaschen 2014-02-27 05:50:15 UTC
My understanding is that ResourceLoader is only used for bugs in mw.loader, or the ResourceLoader PHP classes.
Comment 2 Bartosz Dziewoński 2014-02-27 11:16:49 UTC
I have been putting all bugs related to CSSMin (which is the class that does the embedding) and LESS there, see https://bugzilla.wikimedia.org/buglist.cgi?quicksearch=cssmin and https://bugzilla.wikimedia.org/buglist.cgi?quicksearch=less%20css. If I have this wrong, please update them all (and possibly others these simple searches don't find).
Comment 3 Matthew Flaschen 2014-02-27 18:23:36 UTC
Yeah, I was a little hasty in changing it back with that comment.  If the scope were just limited to the LESS file itself (e.g. hypothetically, the appearance of the TOC is wrong, fix the LESS file responsible), I think "Skin and page rendering" would be right.

However, this bug kind of intersects with the LESS pipeline, as you said.  And it doesn't affect the actual appearance, just performance.  So I moved it back. 

But I think it can be fixed by just using the embeddable and embed mixins here (whereas bug 54673 proposes to fix it in a general way).
Comment 4 Bartosz Dziewoński 2014-02-27 19:09:54 UTC
Yeah, I haven't debugged this, but the annotation preserving probably fails because we have two 'background-image' rules and something gets reordered wrong. And yeah, the mixins will probably help, we use them successfully elsewhere.
Comment 5 Gerrit Notification Bot 2014-04-17 20:15:36 UTC
Change 127139 had a related patch set uploaded by Bartosz Dziewoński:
mediawiki.mixins.less: Correctly embed images in .background-image-svg

https://gerrit.wikimedia.org/r/127139
Comment 6 Gerrit Notification Bot 2014-04-20 20:52:33 UTC
Change 127139 merged by jenkins-bot:
mediawiki.mixins.less: Correctly embed images in .background-image-svg

https://gerrit.wikimedia.org/r/127139
Comment 7 Gerrit Notification Bot 2014-04-20 20:54:07 UTC
Change 127580 had a related patch set uploaded by Ori.livneh:
mediawiki.mixins.less: Correctly embed images in .background-image-svg

https://gerrit.wikimedia.org/r/127580
Comment 8 Gerrit Notification Bot 2014-04-20 20:59:29 UTC
Change 127580 merged by jenkins-bot:
mediawiki.mixins.less: Correctly embed images in .background-image-svg

https://gerrit.wikimedia.org/r/127580
Comment 9 Bartosz Dziewoński 2014-04-20 22:08:14 UTC
Fixed and backported to 1.23.
Comment 10 Bartosz Dziewoński 2014-09-18 15:27:26 UTC
My fix caused bug 66091. I submitted a better fix for it now.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links